Upgrading from VMware vCenter Site Recovery Manager (SRM) 5.0.3 to 5.1 or 5.1.1 fails with the error: Unable to Create Database Tables
search cancel

Upgrading from VMware vCenter Site Recovery Manager (SRM) 5.0.3 to 5.1 or 5.1.1 fails with the error: Unable to Create Database Tables

book

Article ID: 328248

calendar_today

Updated On:

Products

VMware

Issue/Introduction


Symptoms:
  • Cannot upgrade from VMware vCenter Site Recovery Manager (SRM) 5.0.3 to 5.1 or 5.1.1
  • Upgrading from SRM 5.0.3 to 5.1 or 5.1.1 fails with the error:

    Unable to Create Database Tables

  • You can see backtrace similar to:
2013-11-21T09:40:55.184-05:00 [02232 warning 'Vdb'] Backtrace:
--> backtrace[00] rip 000007fef341c8fa
--> backtrace[01] rip 000007fef32eed18
--> backtrace[02] rip 000007fef32f00ae
--> backtrace[03] rip 00000000012a7143
--> backtrace[04] rip 00000000012a734c
--> backtrace[05] rip 0000000140005dfd
--> backtrace[06] rip 0000000140007afc
--> backtrace[07] rip 00000001400080d9
--> backtrace[08] rip 000000014000b9b2
--> backtrace[09] rip 0000000077aa652d
--> backtrace[10] rip 0000000077bdc541

-->


Cause

SRM 5.0.3 cannot be upgraded to 5.1 or 5.1.1. Due to code changes, there is no supported upgrade path from SRM 5.0.3 to SRM 5.1 or SRM 5.1.1. SRM upgrades are usually supported on a release-date schedule. So in general, upgrades can only occur to versions that have been released since the current-version’s release date.

Resolution

This issue is resolved in VMware vCenter Site Recovery Manager 5.1.2, available at VMware Downloads.

For more information, see:


Additional Information